# $Revision: 1.32 $, $Date: 2002/10/11 12:34:35 $
Summary:	An X Window System utility for monitoring system resources
Summary(de):	X11-Util zur Anzeige von Systemressourcen
Summary(es):	Utilitario X11 para visualizar los recursos del sistema
Summary(fr):	Utilitaire X11 pour visualiser les ressources systme
Summary(pl):	Narzdzie pod X11 monitorujce zasoby systemowe
Summary(pt_BR):	Utilitrio X11 para visualizar os recursos do sistema
Summary(tr):	Sistem kaynaklarn denetleyen X11 yardmc program
Summary(zh_CN):	ϵͳԴͼμӹ
Name:		xosview
Version:	1.8.0
Release:	10
License:	GPL
Group:		X11/Applications
Source0:	http://prdownloads.sourceforge.net/xosview/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-non-i386.patch
Patch1:		%{name}-io_h.patch
Patch2:		%{name}-MeterMaker.patch
Patch3:		%{name}-rpath.patch
Patch4:		%{name}-proc.patch
Patch5:		%{name}-procstat.patch
URL:		http://xosview.sourceforge.net/
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
The xosview utility displays a set of bar graphs which show the
current system state, including memory usage, CPU usage, system load,
etc. Xosview runs under the X Window System.

Install the xosview package if you need a graphical tool for
monitoring your system's performance.

%description -l de
xosview stellt den aktuellen Systemzustand mit Balkengrafiken dar -
Speichernutzung, CPU- und Netzwerkauslastung. Sehr ntzlich.

%description -l es
xosview nos ofrece un conveniente grfico de barras del estado actual
del sistema - uso de memoria, carga de la CPU y uso de red. Muy til
para monitoracin del estado de tu sistema.

%description -l fr
xosview offre un histogramme reprsentant l'tat courant du systme -
l'utilisation mmoire, la charge CPU et l'utilisation du rseau. Trs
utile pour surveiller ces tats.

%description -l pl
xosview wywietla zestaw supkw, ktre pokazuj aktualny stan
systemu, w tym wykorzystanie pamici, procesora itp. xosview dziaa
pod X Window System.

%description -l pt_BR
O xosview oferece um conveniente grfico de barras do estado atual do
sistema - uso de memria, carga da CPU e uso de rede. Muito til para
monitorao do status do seu sistema.

%description -l tr
xosview sistemin o anki durumunu (ilemci yk, bellek ve a
kullanm) kk bir pencerede grafik ortamda sunar.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

# --- XXX Cruft Alert!
rm -f linux/*.o
mv config/configure.in .
mv config/aclocal.m4 acinclude.m4

%build
%{__aclocal}
%{__autoconf}
%configure \
	--disable-linux-memstat

CFLAGS="%{rpmcflags} -fno-rtti -fno-exceptions -fno-implicit-templates -I/usr/include/g++" \
%{__make} all

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_applnkdir}/Utilities,%{_pixmapsdir}} \
	$RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,%{_libdir}/X11/app-defaults}

%{__make} install \
	PREFIX_TO_USE=$RPM_BUILD_ROOT%{_prefix}

install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Utilities
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES TODO
%attr(755,root,root) %{_bindir}/*
%{_applnkdir}/Utilities/xosview.desktop
%{_pixmapsdir}/*
%{_libdir}/X11/app-defaults/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: xosview.spec,v $
Revision 1.32  2002/10/11 12:34:35  ankry
-ppc patch renamed - it is not ppc specific now.
- release 10

Revision 1.31  2002/10/10 22:45:20  ankry
- updated patch[12], fixed kloczkish

Revision 1.30  2002/10/09 18:23:16  kloczek
- updated to 1.8.0 (release 9),
- patches: removed outated gcc3, updated proc and merged procstat from RH.

Revision 1.29  2002/10/08 13:59:54  qboosh
- BR: autoconf,automake; new %%doc

Revision 1.28  2002/05/21 23:15:08  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%%\{__automake\}/; \
             s/^automake -a -c -f/\%%\{__automake\}/; \
	     s/^autoconf/\%%\{__autoconf\}/"

Revision 1.27  2002/02/23 05:29:55  kloczek
- adapterized.

Revision 1.26  2002/02/22 23:30:07  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.25  2002/01/18 02:15:43  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.24  2002/01/07 09:07:25  kloczek
- release 10.

Revision 1.23  2002/01/06 21:30:35  blues
- more docs

Revision 1.22  2002/01/06 12:12:01  kloczek
- typo.

Revision 1.21  2002/01/06 11:59:34  kloczek
- release 9,
- add -fno-rtti -fno-exceptions -fno-implicit-templates to CFLAGS (much smaller
  output binaries),
- add png Icon to desktop file,
- merge bunch patches from rawhide.

Revision 1.20  2001/12/24 11:07:00  qboosh
- adapterized

Revision 1.19  2001/12/24 11:05:32  qboosh
- added pl description

Revision 1.18  2001/12/23 05:47:24  blues
- release 3: translations added

Revision 1.17  2001/10/06 22:14:55  ankry
- X --> X11

Revision 1.16  2001/09/18 21:40:54  blues
- release 2
- configure2_13 used

Revision 1.15  2001/05/03 01:14:07  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.14  2000/11/12 20:11:56  kloczek
- modifications for using new rpm automation.

Revision 1.13  2000/11/12 16:58:52  kloczek
- removed xpm-devel from BuildRequires.

Revision 1.12  2000/07/12 15:04:17  baggins
- spec adapterized

Revision 1.11  2000/07/12 14:07:11  baggins
- updated to 1.7.3
- added serialmeter patch

Revision 1.10  2000/06/09 07:24:22  kloczek
- added using %%{__make} macro.

Revision 1.9  2000/04/10 17:06:18  baggins
- more spelling fixes

Revision 1.8  2000/04/01 11:16:02  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.7  1999/09/05 14:59:38  kloczek
- release 4,
- cosmetics.

Revision 1.6  1999/09/04 08:47:06  wiget
 - /etc/X11/applnk -> /usr/X11R6/share/applnk

Revision 1.5  1999/08/09 05:57:19  kloczek
- added de, fr, tr translations (from bero spec).

Revision 1.4  1999/08/09 03:00:53  kloczek
- added BuildRequires rules.

Revision 1.3  1999/08/09 02:57:41  kloczek
- wmconfig file replaced by desktop file,
- added passing LDFLAS"-s" to ./configure enviroment (stripping in %%install
  is not neccessary now),
- Group changed to X11/Applications.

Revision 1.2  1999/08/06 19:00:28  baggins
- FHS 2.0
- stripping binaries
- spec good

Revision 1.1  1999/08/06 18:48:48  baggins
almost raw

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 2)

* Mon Mar  8 1999 Jeff Johnson <jbj@redhat.com>
- updated to 1.7.1.

* Wed Mar  3 1999 Matt Wilson <msw@redhat.com>
- updated to 1.7.0

* Fri Feb  5 1999 Bill Nottingham <notting@redhat.com>
- build against new libstdc++, build on arm

* Tue Dec 22 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.6.2.a.
